Bug 505552 - Patches needed for MD installation boot support for isw raid
Patches needed for MD installation boot support for isw raid
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mdadm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Doug Ledford
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-12 08:21 EDT by Jacek Danecki
Modified: 2009-06-29 15:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-29 15:28:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacek Danecki 2009-06-12 08:21:03 EDT
The most important commits are since version 3.0-devel3:

imsm: fix num_domains
	http://neil.brown.name/git?p=mdadm;a=commit;h=81062a36abd28d2354036da398c2e090fa759198
This patch is needed to make possible boot from raid1 by OROM.

super-intel: fix test on failed_disk_num.
	http://neil.brown.name/git?p=mdadm;a=commit;h=4291d691b66f65695b5b4be22b80fd00da73b544
This patch correct a patch "imsm: fix num_domains"

Monitor: don't get confused if utime is never set.
	http://neil.brown.name/git?p=mdadm;a=commit;h=4736b5dc7740ff38064c33b2460c1ee5c9aafa82
This patch is needed for events, which are not handled correctly in monitor mode for isw arrays.

imsm: kill "auto=" in brief_examine_super_imsm
	http://neil.brown.name/git?p=mdadm;a=commit;h=1124b3cf29dad544e8a5aa01e5f9e94e7be1765a
This patch is needed for kernels above 2.6.28.

RebuildMap: handle missing disks
	http://neil.brown.name/git?p=mdadm;a=commit;h=506ffd1e0bd08cc74f5177d4f4db7c66d7724f6a
This is fix for segfault after syfs_read.

imsm: support --examine --export
	http://neil.brown.name/git?p=mdadm;a=commit;h=9d84c8eac256345126f10628e4f13c07f7eece17
This patch adds support for parameters -E --export for isw format.
Comment 1 Hans de Goede 2009-06-23 05:37:21 EDT
Doug, ping, we need this to continue working on mdraid as default raid handler
for Intel software raid setups. The initial patches for this are already in anaconda, and we really need this bug fixed to be able to test and debug this further.

Thanks.
Comment 2 Doug Ledford 2009-06-26 12:16:06 EDT
You need this in rawhide I assume?
Comment 3 Jacek Danecki 2009-06-26 12:30:19 EDT
Yes I need this in rawhide for Fedora 12 and RH 6.0 too.
Comment 4 Doug Ledford 2009-06-26 13:41:18 EDT
Did all of these patches make 3.0 final?
Comment 5 Jacek Danecki 2009-06-29 06:55:09 EDT
Yes, you can get version 3.0 final.
Comment 6 Doug Ledford 2009-06-29 15:28:16 EDT
Package has been built in rawhide.

Note You need to log in before you can comment on or make changes to this bug.